Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Interface DowngradeStmt

All Superinterfaces:
  java.lang.Cloneable, polyglot.ast.CompoundStmt, polyglot.util.Copy, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Stmt, polyglot.ast.Term

All Known Subinterfaces:
  CheckedEndorseStmt, DeclassifyStmt, EndorseStmt

All Known Implementing Classes:
  CheckedEndorseStmt_c, DeclassifyStmt_c, DowngradeStmt_c, EndorseStmt_c

    public interface DowngradeStmt

extends polyglot.ast.CompoundStmt

Superinterface for downgrade statements.

Field Summary

Fields inherited from interface polyglot.ast.Term
`ENTRY, EXIT`

Method Summary
`polyglot.ast.Stmt` | `body()`
`DowngradeStmt` | `body(polyglot.ast.Stmt body)`
`LabelNode` | `bound()`
`DowngradeStmt` | `bound(LabelNode bound)`
`java.lang.String` | `downgradeKind()`
`LabelNode` | `label()`
`DowngradeStmt` | `label(LabelNode label)`

Methods inherited from interface polyglot.ast.Term
`acceptCFG, exceptions, exceptions, firstChild, reachable, reachable`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.util.Copy
`copy`

Method Detail

### label

    LabelNode label()

### label

    DowngradeStmt label(LabelNode label)

### body

    polyglot.ast.Stmt body()

### body

    DowngradeStmt body(polyglot.ast.Stmt body)

### bound

    LabelNode bound()

### bound

    DowngradeStmt bound(LabelNode bound)

### downgradeKind

    java.lang.String downgradeKind()

  Returns:
    Name of the kind of downgrade, e.g. "declassify" or "endorse"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD